
Foreman - Bug #3524

Cannot reference smart proxies by name when they contain a "."

10/25/2013 02:26 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When trying to reference a smart proxy by name in the API and the name contains a full stop/period/"." then Foreman can't find the

proxy resource.

Note in this example it's stripping off the ".fm" suffix:

GET http://0.0.0.0:3000/api/smart_proxies/foreman.fm => "Resource smart_proxy not found by id 'foreman'"

Started GET "/api/smart_proxies/foreman.fm" for 127.0.0.1 at 2013-10-25 15:24:03 +0100

Processing by Api::V1::SmartProxiesController#show as 

  Parameters: {"id"=>"foreman", "smart_proxy"=>{}}

  User Load (0.1ms)  SELECT "users".* FROM "users" WHERE "users"."id" = ? LIMIT 1  [["id", 1]]

Setting current user thread-local variable to admin

  SmartProxy Load (0.1ms)  SELECT "smart_proxies".* FROM "smart_proxies" WHERE "smart_proxies"."na

me" = 'foreman' ORDER BY smart_proxies.name LIMIT 1

  Rendered api/v1/errors/not_found.json.rabl (0.4ms)

Filter chain halted as :find_resource rendered or redirected

Completed 404 Not Found in 7ms (Views: 5.1ms | ActiveRecord: 0.3ms)

 (https://bugzilla.redhat.com/show_bug.cgi?id=1023151)

Associated revisions

Revision 78ced7bb - 12/05/2013 03:37 PM - Joseph Magen

fixes #3524 - api cannot reference smart proxies by name when they contain a "."

History

#1 - 11/28/2013 04:58 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/1016

#2 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#3 - 12/05/2013 04:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 78ced7bb10d0324db16b2a19851d228fb6dfc61c.
